#!/sbin/sh

DIR=$(pwd)
FILE=$(find *twrp*.img) && NEW_TWRP=$DIR/$FILE

#Jetzt wird twrp aktualisiert, nachdem der Pfad mit blockdev überprüft wurde

cd /dev/block
TWRP=$(find -name recovery | grep platform)

blockdev --getsz $TWRP > /dev/null 2>&1 && dd if=$NEW_TWRP of=$TWRP

echo -e '\n\n******* TWRP wurde erfolgreich aktualisiert und *******\n           
        ***** Geraet wird neu gestartet. *****'

sleep 3

reboot recovery

